This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 798302 - [RFE] Allow ssl encryption without use of certificates
[RFE] Allow ssl encryption without use of certificates
Status: NEW
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: messaging-bugs
MRG Quality Engineering
: FutureFeature
Depends On:
Blocks: 794827
  Show dependency treegraph
 
Reported: 2012-02-28 10:17 EST by Trevor McKay
Modified: 2012-12-07 09:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Trevor McKay 2012-02-28 10:17:53 EST
Description of problem:

Current implementation requires use of a certificate database to use ssl connections to the broker from C++ clients.  However, it should be possible just to connect over ssl to get the benefits of encryption without having to authenticate the server (and optionally the client).

Note You need to log in before you can comment on or make changes to this bug.